var tabla;
//declaramos variables necesarias para trabajar con las Ventas y sus detalles
var impuesto = 16;
var cont = 0;
var detalles = 0;
var indicepermisoborrar = -50;
var valido = false;

$("#btnGuardar").hide();
//funcion que se ejecutan cuando todo fue cargado

//funcion que se ejecuta al inicio
function init() {
  mostrarform(false);
  listar();
  buscarNroMovimiento();
  cargarselect();

  $("#btnGuardar").on("click", function (e) {
    $("#myModalArt").modal("show");
    e.preventDefault();
    var idalmacensalida = $("#idalmacensalida").val();
    var idalmacenentrada = $("#idalmacenentrada").val();
    console.log("idalmacensalida: ", idalmacensalida);
    console.log("idalmacenentrada: ", idalmacenentrada);
    if (idalmacensalida != null && idalmacensalida != 0) {
      if (idalmacenentrada != null && idalmacenentrada != 0) {
        console.log(valido);
        if (valido) {
          if (idalmacensalida == idalmacenentrada) {
            swal(
              "No es posible realizar un movimiento de inventario dentro del mismo almacén. Por favor, seleccione almacenes diferentes para continuar."
            );
          } else {
            /*
            bootbox.confirm(
              "¿Esta seguro que quiere guardar los dato?",
              function (result) {
                if (result) {
                  modificarValoresAnumerico();
                  guardaryeditar();
                }
              }
            );
            */
            swal({
              title: "¿Estás seguro?",
              text: "Que desea guardar los datos",
              //type: "question",
              icon: "https://img.icons8.com/?size=100&id=kc5OYLzDFTvJ&format=png&color=000000", // URL del icono de signo de interrogación
              showCancelButton: true,
              confirmButtonColor: "#3085d6",
              cancelButtonColor: "#d33",
              buttons: {
                cancel: {
                  text: "No",
                  value: null,
                  visible: true,
                  className: "btn-secondary",
                  closeModal: true,
                },
                confirm: {
                  text: "Sí",
                  value: true,
                  visible: true,
                  className: "btn-success",
                  closeModal: true,
                },
              },
            }).then((result) => {
              if (result) {
                modificarValoresAnumerico();
                guardaryeditar();
              }
            });
          }
        } else {
          swal(
            "Debe ajustar primero la cantidad de cajas, ya que exceden el stock disponible."
          );
        }
      } else {
        swal(
          "No ha seleccionado un almacén de entrada. Por favor, elija uno para continuar."
        );
      }
    } else {
      swal(
        "No ha seleccionado un almacén de salida. Por favor, elija uno para continuar."
      );
    }

    //console.log(idalmacen1,nombre1,idalmacen2,nombre2);
  });

  // capturamos el evento click en agregar articulos
  $("#btnAgregarArt").on("click", function (e) {
    //mostrararticuloalmacen();
    //console.log(idalmacen1,nombre1,idalmacen2,nombre2);
    $("#myModalA").modal("show");
  });

  // Se busca el codigo de barra
  $("#cod_barra").keypress(function (e) {
    var keycode = e.keyCode ? e.keyCode : e.which;
    var codigobarra = $("#cod_barra").val();
    if (keycode == "13") {
      // Evitamos el envío real del enter
      e.preventDefault();
      // Hacemos la llamada al API Buscamos el codigo de barra
      buscarcodigodebarra(codigobarra);
      return false;
    }
  });
  /* Tras cargar el documento posicionamos el cursor en el lector de código de barras */
  document.addEventListener("DOMContentLoaded", function () {
    $("#cod_barra").val("");
    $("#cod_barra").focus();
  });

  //se verifica si cambia los campos del formulario
  $("#idalmacensalida").change(function () {
    $("#cod_barra").val("");
    $("#cod_barra").focus();
    buscarAlmacen();
  });

  $("#idalmacenentrada").change(function () {
    $("#cod_barra").val("");
    $("#cod_barra").focus();
  });
  $("#fecha_hora").change(function () {
    $("#cod_barra").val("");
    $("#cod_barra").focus();
  });

  $(document).keypress(function (e) {
    if (e.which == 13) {
      //alert('You pressed enter!');
      console.log("vamos a verificar totales");
      modificarSubtotales();
      return;
    }
  });

  //De detectamos cuando cambia un valor en la tabla donde se registran los productos
  // Campos que vamos a formatear
  // cantidad,precio_compra,precio_venta

  var typingTimer; //timer identifier
  var doneTypingInterval = 2000; //time in ms, 1 second for example
  //var doneTypingInterval = 1500;  //time in ms, 1 second for example
  //detalles
  $("#detallesfactory").on("keyup paste", ":input", function () {
    var value = $(this).val(); //obtiene el valor actual del input.
    var name = $(this).prop("name");

    if (name == "cantidads[]") {
      //$(this).val(decimal(value));
      $(this).val(entero(value));
      //evaluar(value);
    }

    clearTimeout(typingTimer);
    typingTimer = setTimeout(doneTyping, doneTypingInterval);
  });

  //Se limpia el contador cuando deja de escribir
  $("#detallesfactory").on("keydown", function () {
    clearTimeout(typingTimer);
  });

  //calculamos los totales
  function doneTyping() {
    if (
      typeof modificarSubtotales !== "undefined" &&
      jQuery.isFunction(modificarSubtotales)
    ) {
      //Es seguro ejectura la función
      modificarSubtotales();
    }
    //modificarSubtotales();
  }
}

function cargarselect() {
  //cargamos los items al Select de almacen
  $.post(
    "controladores/almacenControlador.php?op=selectfactoryterminado",
    function (r) {
      $("#idalmacensalida").html(r);
      $("#idalmacent").val(0);
      $("#idalmacensalida").selectpicker("refresh");
    }
  );

  $.post(
    "controladores/articuloControlador.php?op=selectAlmacen",
    function (r) {
      $("#idalmacenentrada").html(r);
      $("#idalmacenentrada").selectpicker("refresh");
      buscarAlmacen();
    }
  );
}

function mostrararticuloalmacen() {
  /* Para obtener el texto de cada almacen
		$("#idalmacensalida option[value=1]").attr("selected",true);
		var idalmacensalida 	= $("#idalmacensalida").val();
		var idalmacenentrada 	= $("#idalmacenentrada").val();
		var select 				= document.getElementById("idalmacensalida") //El <select>
		var idalmacen1 			= select.value //El valor seleccionado
		console.log(idalmacen1);
		var nombre1 	= select.options[select.selectedIndex].innerText; //El texto de la opción seleccionada
		var select 		= document.getElementById("idalmacenentrada") //El <select>
        var idalmacen2 	= select.value //El valor seleccionado
		var nombre2 	= select.options[select.selectedIndex].innerText; //El texto de la opción seleccionada
		*/
  $("#myModalArt").modal("show");
  var id = $("#idalmacensalida option:selected").val();
  var texto = $("#idalmacensalida option:selected").text();
  console.log(id, texto);
  if (texto == "ALMACEN2") {
    $("#myModalB").modal("hide");
    $("#myModalA").modal("show");
  } else {
    $("#myModalA").modal("hide");
    $("#myModalB").modal("show");
  }
}

function buscarAlmacen() {
  // Haces referencia al elemento para no recorrer el DOM varias veces
  /* Para obtener el texto de cada almacen
var idalmacen2 		= select2.value //El valor seleccionado
var nombre2 		= select2.options[select2.selectedIndex].innerText; //El texto de la opción seleccionada
var idalmacen1 		= select1.value //El valor seleccionado
*/
  //var select1 		= document.getElementById("idalmacensalida") //El <select>
  //var nombre1 		= select1.options[select1.selectedIndex].innerText; //El texto de la opción seleccionada
  //var select2 		= document.getElementById("idalmacenentrada") //El <select>
  var idalmacen = $("#idalmacensalida").val();

  //console.log("idalmacen: "+idalmacen+" nombre: ",nombre1);
  listarArticulos(idalmacen);
}

//funcion limpiar
function limpiar() {
  $("#idmovimientoinventarioo").val("");
  $("#validar").val("");
  $("#idempresa_venta").val("");
  $("#idalmacensalida").val("");
  $("#idalmacenentrada").val("");
  //$("#nromovimientoinventario").val("");
  $("#fecha_hora").val("");
  $("#total_venta").val(0);
  $("#total_venta1").val(0);
  $(".filas").remove();
  //$("#total").html("0");

  //obtenemos la fecha actual
  var now = new Date();
  var today = new Date();
  var dd = ("0" + now.getDate()).slice(-2);
  var mm = ("0" + (now.getMonth() + 1)).slice(-2);
  var yyyy = now.getFullYear();
  var today = yyyy + "-" + mm + "-" + dd;
  $(fecha_hora).val(today);
}

//funcion mostrar formulario
function mostrarform(flag) {
  limpiar();
  if (flag) {
    $("#listadoregistros").hide();
    $("#formularioregistros").show();
    $("#formularioregistros1").show();
    //listarArticulosa();
    //listarArticulosb();
    //buscarNroMovimiento();
    //cargarselect();
    //$("#btnGuardar").prop("disabled",false);
    $("#btnagregar").hide();
    $("#btnGuardar").hide();
    $("#btnCancelar").show();
    detalles = 0;
    $("#btnAgregarArt").show();
    $("#cod_barra").val("");
    $("#cod_barra").focus();
  } else {
    $("#listadoregistros").show();
    $("#formularioregistros").hide();
    $("#formularioregistros1").hide();
    $("#btnagregar").show();
  }
}

//cancelar form
function cancelarform() {
  limpiar();
  mostrarform(false);
}

//funcion listar
function listar() {
  tabla = $("#tbllistado")
    .dataTable({
      aProcessing: true, //activamos el procedimiento del datatable
      aServerSide: true, //paginacion y filrado realizados por el server
      dom: "Bfrtip", //definimos los elementos del control de la tabla
      buttons: ["copyHtml5", "excelHtml5", "csvHtml5", "pdf"],
      ajax: {
        url: "controladores/movimientoinventarioControlador.php?op=listarfactory",
        type: "get",
        dataType: "json",
        error: function (e) {
          console.log(e.responseText);
        },
      },
      bDestroy: true,
      iDisplayLength: -1, //paginacion
      order: [[0, "desc"]], //ordenar (columna, orden)
    })
    .DataTable();
}

function listarArticulos(idalmacen1) {
  console.log("Estamos en listara y almacen:" + idalmacen1);
  tabla = $("#tblarticulosa")
    .dataTable({
      aProcessing: true, //activamos el procedimiento del datatable
      aServerSide: true, //paginacion y filrado realizados por el server
      dom: "Bfrtip", //definimos los elementos del control de la tabla
      width: "100%", // Configura explícitamente el ancho al 100%
      buttons: [],
      ajax: {
        url: "controladores/articuloControlador.php?op=listarArticulosterminadofactory",
        type: "post",
        data: {
          idalmacen1: idalmacen1,
        },
        dataType: "json",
        error: function (e) {
          console.log(e.responseText);
        },
      },
      bDestroy: true,
      iDisplayLength: -1, //paginacion
      order: [[0, "desc"]], //ordenar (columna, orden)
    })
    .DataTable();
}

function listarArticulosa(idalmacen1) {
  tabla = $("#tblarticulosa")
    .dataTable({
      aProcessing: true, //activamos el procedimiento del datatable
      aServerSide: true, //paginacion y filrado realizados por el server
      dom: "Bfrtip", //definimos los elementos del control de la tabla
      buttons: [],
      ajax: {
        url: "controladores/movimientoinventarioControlador.php?op=listarArticulosa",
        type: "get",
        dataType: "json",
        error: function (e) {
          console.log(e.responseText);
        },
      },
      bDestroy: true,
      iDisplayLength: -1, //paginacion
      order: [[0, "desc"]], //ordenar (columna, orden)
    })
    .DataTable();
}

function listarArticulosb() {
  tabla = $("#tblarticulosb")
    .dataTable({
      aProcessing: true, //activamos el procedimiento del datatable
      aServerSide: true, //paginacion y filrado realizados por el server
      dom: "Bfrtip", //definimos los elementos del control de la tabla
      buttons: [],
      ajax: {
        url: "controladores/movimientoinventarioControlador.php?op=listarArticulosb",
        type: "get",
        dataType: "json",
        error: function (e) {
          console.log(e.responseText);
        },
      },
      bDestroy: true,
      iDisplayLength: -1, //paginacion
      order: [[0, "desc"]], //ordenar (columna, orden)
    })
    .DataTable();
}

// se busca el ultimo moviento de inventario
function buscarNroMovimiento() {
  $.post(
    "controladores/movimientoinventarioControlador.php?op=buscarNroMovimiento",
    function (data, status) {
      data = JSON.parse(data);
      if (data == null || data == "undefined") {
        nromovimientos = 1;
      } else {
        nromovimientos = numero(data.ultimomovimiento) + 1;
      }
      $("#nromovimientoinventario").val(nromovimientos);
      console.log(nromovimientos);
    }
  );
}

function guardar(evaluar) {
  alert("dio click");
}

//funcion para guardaryeditar Factory
function guardaryeditar() {
  //e.preventDefault();//no se activara la accion predeterminada
  //$("#btnGuardar").prop("disabled",true);
  var formData = new FormData($("#formulario")[0]);

  $.ajax({
    url: "controladores/movimientoinventarioControlador.php?op=guardaryeditarf",
    type: "POST",
    data: formData,
    contentType: false,
    processData: false,

    success: function (datos) {
      bootbox.alert(datos);
      mostrarform(false);
      listar();
    },
  });

  limpiar();
}

function mostrar(idmovimientoinventario) {
  $.post(
    "controladores/movimientoinventarioControlador.php?op=mostrar",
    { idmovimientoinventario: idmovimientoinventario },
    function (data, status) {
      data = JSON.parse(data);
      mostrarform(true);

      $("#idmovimientoinventario").val(data.idmovimientoinventario);
      $("#idalmacensalida").val(data.idalmacen_salida);
      $("#idalmacensalida").selectpicker("refresh");
      $("#idalmacenentrada").val(data.idalmacen_entrada);
      $("#idalmacenentrada").selectpicker("refresh");
      $("#nromovimientoinventario").val(data.nromovimiento);
      $("#fecha_hora").val(data.fecha);

      //ocultar y mostrar los botones
      $("#btnGuardar").hide();
      $("#btnCancelar").show();
      $("#btnAgregarArt").hide();
      $("#btnAgregarSer").hide();
      $("#btnTotalizar").hide();
      $("#btnAgregarBar").hide();
    }
  );
  $.post(
    "controladores/movimientoinventarioControlador.php?op=listarDetalle&id=" +
      idmovimientoinventario,
    function (r) {
      $("#detallesfactory").html(r);
    }
  );
}

//funcion para desactivar
function anular(idmovimientoinventario) {
  bootbox.confirm("¿Esta seguro de desactivar este dato?", function (result) {
    if (result) {
      $.post(
        "controladores/movimientoinventarioControlador.php?op=anular",
        { idmovimientoinventario: idmovimientoinventario },
        function (e) {
          bootbox.alert(e);
          tabla.ajax.reload();
        }
      );
    }
  });
}

function buscarcodigodebarra(codbarra) {
  //alert ('buscando codigo de barra: '+codbarra);
  $.ajax({
    url: "complemento/leercodigobarra.php",
    method: "post",
    data: {
      codigobarra: codbarra,
    },
  })
    .done(function (datos) {
      /* Depuramos los datos recibidos */
      console.log(datos);
      /* Si no se devolvió ningún registro (false) debería hacerse algo */
      if (datos === false) {
        /* hacer algo */
        //bootbox.alert('No se encontró el código de barras');
        //Ahora buscamos en la tarjeta de cliente
        //buscarcodigodebarratarjetapendiente(codbarra)
        $("#cod_barra").val("");
        $("#cod_barra").focus();
        return;
      }
      /* Agregamos una fila con los datos obtenidos */
      agregarDetalle(
        datos.idarticulo,
        datos.nombre,
        datos.precio,
        datos.porcentaje,
        datos.numerolote,
        datos.fecha
      );
      $("#cod_barra").val("");
      $("#cod_barra").focus();
    })
    .fail(function () {
      alert("Error");
    })
    .always(function () {
      /* Seleccionamos el texto para que se pueda sobreescribir por la siguiente lectura */
      $("input[name='cod_barra']").select();
    });
}

//agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->cantidad.','.$reg->cantidadmayor.')
//agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\',\''.$reg->factorunidademedidadnegocio.'\','.$reg->factorconversionnegocio.','.$reg->stock.')
//agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\',\''.$reg->factorunidademedidadnegocio.'\','.$reg->factorconversionnegocio.','.$reg->stock.',,'.$reg->idlote.',\''.$reg->numerolote.'\')
//agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\',\''.$reg->factorunidademedidadnegocio.'\',
//									'.$reg->factorconversionnegocio.','.$reg->stock.','.$reg->idlote.',\''.$reg->numerolote.'\',\''.$reg->articulonegocio.'\','.$reg->idarticulonegocio.')
function agregarDetalle(
  idarticulo,
  idalmacen,
  articulo,
  factorunidademedidadnegocio,
  factorconversionnegocio,
  stock,
  idarticulonegocio,
  idlote,
  numerolote,
  articulonegocio
) {
  let cantidad = 1;
  let cantidadb = factorconversionnegocio;
  let factordeconversion = factorconversionnegocio;
  //let idarticulonegocio = 1;
  console.log("factordeconversion: ", factordeconversion);
  console.log("stock: ", stock);
  let cajas = stock / factordeconversion;
  if (articulonegocio != "NO") {
    if (idarticulo != "") {
      var fila =
        '<tr class="filas" id="fila' +
        cont +
        '">' +
        '<td><button type="button" class="btn btn-danger" onclick="eliminarDetalle(' +
        cont +
        ')">X</button></td>' +
        '<td style="width:400px"><input type="hidden" name="idarticulo[]" value="' +
        idarticulo +
        '">' +
        articulo +
        "</td>" +
        '<td style="width:120px"><input type="text" name="stock1[]" id="stock1[]" style="text-align:center;width:120px;background-color:#b4b6b6;border: 0" value="' +
        number_format(stock) +
        '" readonly></td>' +
        '<td style="width:120px"><input type="text" name="stock11[]" id="stock11[]" style="text-align:center;width:120px;background-color: #b4b6b6;border: 0" value="' +
        number_format(cajas) +
        '" readonly></td>' +
        '<td style="width:120px;text-align:center"><input type="text" name="cantidads[]" id="cantidads[]" style="text-align:center;width:120px;background-color:#c4fda2;border: 0"  value="' +
        number_format(cantidad) +
        '"></td>' +
        '<td style="width:120px;text-align:center"><input type="text" name="cantidadsb[]" id="cantidadsb[]" style="text-align:center;width:120px;background-color:#6cd8fd;border: 0"  value="' +
        number_format(cantidadb) +
        '" readonly></td>' +
        '<td style="width:120px;text-align:center"><input type="text" name="cantidade[]" id="cantidade[]" style="text-align:center;width:120px;background-color:#6cd8fd;border: 0"  value="' +
        number_format(cantidad) +
        '" readonly></td>' +
        '<td style="width:200px"><input type="text" name="estado[]" id="estado[]" style="width:200px;text-align:center;border: 0" value="ok" readonly></td>' +
        '<td style="width:100px;text-align:center"><input type="hidden" name="subtotal[]" id="subtotal[]" style="text-align:center;width:180px;border: 0"  value="' +
        number_format(cantidad) +
        '">' +
        '<button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button>' +
        '<input type="hidden" name="idarticulo1[]" id="idarticulo1[]" value="' +
        idarticulo +
        '">' +
        '<input type="hidden" name="idarticulo11[]" id="idarticulo11[]" value="' +
        idarticulonegocio +
        '">' +
        '<input type="hidden" name="cantidad1[]" id="cantidad1[]" value="' +
        cantidad +
        '">' +
        '<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="' +
        idalmacen +
        '">' +
        '<input type="hidden" name="idalmacen1[]" id="idalmacen1[]" value="' +
        idalmacen +
        '">' +
        '<input type="hidden" name="factorc[]" id="factorc[]" value="' +
        factordeconversion +
        '">' +
        '<input type="hidden" name="numerolote[]" id="numerolote[]" value="' +
        numerolote +
        '">' +
        '<input type="hidden" name="idlote[]" id="idlote[]" value="' +
        idlote +
        '">' +
        "</td>" +
        "</tr>";
      cont++;
      detalles++;
      $("#detallesfactory").append(fila);
      modificarSubtotales();
    } else {
      alert("error al ingresar el detalle, revisar las datos del articulo ");
    }
  } else {
    swal(
      "Este artículo no se puede seleccionar porque no está vinculado a ningún artículo de negocio.!",
      "Por favor, relácionelo primero para continuar."
    );
  }
}

function modificarValoresAnumerico() {
  /* var cant = document.getElementsByName("cantidad[]");
  var sub = document.getElementsByName("subtotal[]");
  var stoc = document.getElementsByName("stock1[]");
  for (var i = 0; i < cant.length; i++) {
    var Cmod = cant[i];
    var Stmod = stoc[i];
    var Smod = sub[i];
    Cmod.value = numero(Cmod.value);
    Stmod.value = numero(Stmod.value);
    Smod.value = numero(Smod.value);
  } */
}

function modificarSubtotales() {
  var cants = document.getElementsByName("cantidads[]");
  var cantsb = document.getElementsByName("cantidadsb[]");
  var cante = document.getElementsByName("cantidade[]");
  var sub = document.getElementsByName("subtotal[]");
  var fac = document.getElementsByName("factorc[]");

  for (var i = 0; i < cants.length; i++) {
    var cants1 = cants[i];
    var cantsb1 = cantsb[i];
    var cante1 = cante[i];
    var fac1 = fac[i];
    var subM = sub[i];
    var subMt = sub[i];

    cants1.value = numero(cants1.value);
    cante1.value = cants1.value;
    cantsb1.value = cants1.value * numero(fac1.value);

    subM.value = cante1.value;
    subMt.value = cante1.value;
  }
  calcularTotales();
}

function calcularTotales() {
  //var sub = document.getElementsByName("subtotal");
  var sub = document.getElementsByName("subtotal[]");
  var cant = document.getElementsByName("cantidads[]");
  var cantsb = document.getElementsByName("cantidadsb[]");
  var cante = document.getElementsByName("cantidade[]");
  var stoc = document.getElementsByName("stock1[]");
  var estad = document.getElementsByName("estado[]");
  var factorc = document.getElementsByName("factorc[]");
  var total = 0.0;
  var totalf = 0.0;
  var totals = 0.0;
  var totalsb = 0.0;
  valido = true;

  for (var i = 0; i < sub.length; i++) {
    var subt = sub[i];
    var cantt = cant[i];
    var cantsb1 = cantsb[i];
    var cante1 = cante[i];
    var stockt = stoc[i];
    var estadt = estad[i];
    var factorct = factorc[i];

    console.log(cantt.value, stockt.value, subt.value);
    // verde 36E208
    // rojo E21508
    estadt.style.backgroundColor = "#c4fda2";
    estadt.value = "ok";
    cajas = numero(stockt.value) / numero(factorct.value);
    if (cantt.value > cajas) {
      estadt.value = "El Nro. de cajas mayor al stock";
      estadt.style.backgroundColor = "#E21508";
      valido = false;
    }
    //total += document.getElementsByName("subtotal")[i].value;
    total += numero(subt.value);
    totalsb += numero(cantsb1.value);
    totals += numero(cantt.value);

    cantt.value = number_format(cantt.value);
    cantsb1.value = number_format(cantsb1.value);
    cante1.value = number_format(cante1.value);
    subt.value = number_format(subt.value);
    console.log(cantt.value, subt.value);
  }

  totalf = number_format(total, 2);
  //$("#total").html("Cantidad");
  $("#total_venta1").val(totalf);
  $("#total_venta").val("");
  $("#total_venta").val(total);
  $("#total_salida1").val(number_format(totals));
  $("#total_salida").val(totals);
  $("#total_salida1b").val(number_format(totalsb));
  $("#total_salida2").val(totalsb);
  $("#total_entrada1").val(number_format(totals));
  $("#total_entrada").val(totals);
  $("#cod_barra").val("");
  $("#cod_barra").focus();
  evaluar();
}

function evaluar() {
  $("#cod_barra").val("");
  $("#cod_barra").focus();
  if (detalles > 0) {
    $("#btnGuardar").show();
  } else {
    $("#btnGuardar").hide();
    cont = 0;
  }
}

function eliminarDetalle(indice) {
  $("#fila" + indice).remove();
  calcularTotales();
  detalles = detalles - 1;
}

init();
